Summary: Python bindings for Qt
Name: PyQt
Version: 0.12
Release: 6
Copyright: GPL
Group: Development/Languages
Source: http://www.river-bank.demon.co.uk/software/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: sip >= 0.12, qt-devel
URL: http://www.thekompany.com/projects/pykde/

%description
These are Python bindings for Qt.

%package devel
Summary: Files needed to build other bindings based on Qt
Requires: %{name} = %{version}
Group: Development/Languages

%description devel
Files needed to build other bindings for C++ classes that inherit from any
of the Qt classes (e.g. KDE or your own).

%package examples
Summary: Examples for PyQt
Requires: %{name} = %{version}
Group: Development/Languages

%description examples
Examples code demonstrating how to use the Python bindings for Qt.

%prep
%setup -q -n %{name}-%{version}

%build
source /etc/profile.d/qt.sh
export KDEDIR=/usr
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install install-sip install-doc

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES PyQt/THANKS 
/usr/lib/python1.5/*.py*
/usr/lib/python1.5/lib-dynload/*.so
/usr/lib/python1.5/lib-dynload/*.la

%files devel
%defattr(-,root,root)
/usr/share/sip/qt

%files examples
%defattr(-,root,root)
%doc examples/README examples/*.py

%changelog
* Wed Aug 2 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- add defattr to examples subpackage (Bug #14996)
- update URL

* Thu Jul 27 2000 Than Ngo <than@redhat.de>
- don't hardcode Qt version
- add defattr

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt with the new qt

* Sat May 27 2000 Ngo Than <than@redhat.de>
- update 0.12 for 7.0

* Mon May  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.11.1
- Qt 2.1.0

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.10.1
- Qt 1.45
- handle RPM_OPT_FLAGS
- fix download URL
- -devel and -examples require base package

* Tue Dec 21 1999 Ngo Than <than@redhat.de>
- updated 0.10

* Tue Dec 14 1999 Ngo Than <than@redhat.de>
- 0.10pre5

* Sun Nov 28 1999 Ngo Than <than@redhat.de>
- adapted for powertools-6.2

* Fri Aug 13 1998 Pieter Nagel <pnagel@e.co.za>
- Initial packaging as RPM
